
=============================================================================
    Intel(R) Server Platform S2600STB FRU/SDR Update Release Notes
=============================================================================

INTEL Enterprise Platform & Services Marketing
Intel Corporation
2111 N.E. 25th Avenue, Hillsboro, OR 97124 USA

=============================================================================

DATE:       Oct 10, 2022

TO:         Intel(R) Server Platform S2600ST customers

SUBJECT:    IBMC(R) FRU/SDR update package S2600STB_FRUSDR_1.83 release notes

=============================================================================
                               LEGAL INFORMATION
=============================================================================
Information in this document is provided in connection with Intel products.
No license, express or implied, by estoppel or otherwise, to any intellectual
property rights is granted by this document. Except as provided in Intel's
Terms and Conditions of Sale for such products, Intel assumes no liability
whatsoever, and Intel disclaims any express or implied warranty, relating to
sale and/or use of Intel products including liability or warranties relating
to fitness for a particular purpose, merchantability, or infringement of any
patent, copyright or other intellectual property right. Intel Corporation may
have patents or pending patent applications, trademarks, copyrights, or other
intellectual property rights that relate to the presented subject matter.
The furnishing of documents and other materials and information does not
provide any license, express or implied, by estoppel or otherwise, to any
such patents, trademarks, copyrights, or other intellectual property rights.
Intel products are not intended for use in medical, life saving, or life
sustaining applications. Intel may make changes to specifications and product
descriptions at any time, without notice.

Intel is a registered trademark of Intel Corporation.

*Other names and brands are the property of their respective owners.

Copyright (c) 2022 Intel Corporation.

=============================================================================
                      ABOUT THIS RELEASE PACKAGE
=============================================================================

SDR file version:                   1.83

SDR data based on system/thermal team SDR spreadsheet rev 1.03

Utility  version:                   FRUSDR_V14_1_Build18
=============================================================================
	     SYSTEM HARDWARE & SOFTWARE REQUIREMENTS/REVISIONS
=============================================================================

- S2600STB,S2600STK,S2600STQ,S2600STS baseboard.

- BMC FW 2.42 or later

- Front Panel, Hot-swap backplane, and Baseboard FRU data must be available
  for chassis auto-detection to succeed.

=============================================================================
                      IMPORTANT INSTALLATION NOTES
=============================================================================

NOTE: If you updated BIOS and did not clear CMOS Ram, you should do that before
      installing this package.

 - Please confirm that AIC FRU has proper Multi Record Area.
   Otherwise, "PCIe Aggr Margin" will have no reading that will make FSC boost
   the Fan.

=============================================================================
			INSTALLATION PROCEDURE
=============================================================================

1. Ensure BMC FW release 2.42 or later is
   pre-installed before attempting this FRU/SDR update.

2. Copy all of the files and directories in the S2600STB_FRUSDR zip archive
   to a USB key, hard disk drive or floppy drive.

3. Execute the following script to bring up the main FRU/SDR load menu:

     updS2600ST.nsh

4. Select Option 1 to do the SDR update.

5. Answer the prompts, and the SDRs will be loaded

=============================================================================
                           KNOWN ISSUES/WORKAROUNDS
=============================================================================
S2600STB_0.16 and later.
NA

S2600STB_0.14, 0.15:
- Chassis auto-detection is not 100% complete in this version.

S2600STB_0.11, 0.12 and 0.13:
The same as S2600STB_0.10.

S2600STB_0.10:
- Chassis auto-detection is not 100% complete in this version.
- Some sensors are not ready. The reading is NA, or the reading is incorrect.
  These sensors are 'SSB Temp', 'NM Capabilities'.

S2600STB_0.09:
- Chassis auto-detection is not 100% complete in this version.
- FSC is not enabled in this revision.
- Some sensors are not ready. The reading is NA, or the reading is incorrect.
  These sensors are 'SSB Temp', 'NM Capabilities'.

S2600STB_0.08:
- Chassis auto-detection is not 100% complete in this version.
- FSC is not enabled in this revision.
- Some sensors are not ready. The reading is NA, or the reading is incorrect.
  These sensors are 'SSB Temp', 'NM Capabilities'.
- Only NR_P4016 and R_P4016 SKUs can show both "Air Flow Limit" and "Exit Air Temp"
  options in BIOS, other SKUs only show  "Exit Air Temp" option.

S2600STB_0.06 & 0.07:
The same as S2600STB_0.05.

S2600STB_0.05:
- Chassis auto-detection is not 100% complete in this version.
- FSC is not enabled in this revision.
- Some sensors are not ready. The reading is NA, or the reading is incorrect.
  These sensors are 'SSB Temp', 'NM Capabilities'.
- HSBP and PHI related senosrs are not supported in this revision.

S2600STB_0.04:
- Chassis auto-detection is not 100% complete in this version.
- FSC is not enabled in this revision.
- Some sensors are not ready. The reading is NA, or the reading is incorrect.
  These sensors are 'SSB Temp', 'NM Capabilities', and 'System Airflow'.
- HSBP and PHI related senosrs are not supported in this revision.

S2600STB_0.03:
- Chassis auto-detection is not 100% complete in this version.
- FSC is not enabled in this revision.
- Some sensors are not ready. The reading is NA, or the reading is incorrect.
  These sensors are 'SSB Temp', 'Agg Therm Mgn 1', 'Agg Therm Mgn 2'
  'NM Capabilities', and 'System Airflow'.
- HSBP and PHI related senosrs are not supported in this revision.

S2600STB_0.02:
- Chassis auto-detection is not 100% complete in this version.
  Temporarily, an menu is provided to manually select
  "Single/Dual Processor' 'HDD Number', and proper SDRs will be updated
  by the selection.
- FSC is not enabled in this revision.
- Some sensors are not ready. The reading is NA, or the reading is incorrect.
  These sensors are 'SSB Temp', 'Agg Therm Mgn 1', 'Agg Therm Mgn 1'
  'NM Capabilities', and 'System Airflow'.
- HSBP and PHI related senosrs are not supported in this revision.

S2600STB_0.01:
- Chassis auto-detection is not available in this version.
  Temporarily, an menu is provided to manually select 'Redundant/Non Redundant Fan SKU',
  '750W/1600W PSU', and "Single/Dual Processor', and proper SDRs will be updated
  by the selection.
- FSC is not enabled in this revision.
- Some sensors are not ready. The reading is NA, or the reading is incorrect.
  These sensors are 'DIMM Thrm Mrgn', 'SSB Temp', 'Agg Therm Mgn 1', 'Agg Therm Mgn 1'
  'NM Capabilities', and 'System Airflow'.
- HSBP and PHI related senosrs are not supported in this revision.

=============================================================================
                           ISSUES FIXED
============================================================================
S2600STB_1.83:
- 15012037399 change the BIOS Sensor from "ADDDC Error" to "ADDDC VLS Event".

S2600STB_1.82:
- update BIOS sensor according to BIOS EPS v1.19
- Remove the redundant character '2' of sensor string.

S2600STB_1.81:
- update BIOS sensor number according to BIOS EPS v1.18
- HSD 1509288822 -Wolf Pass (S2600WFT) uses the wrong entity ID for the sensor "NVMe 1 Therm Mgn"

S2600STB_1.80:
 -update FRUSDR utility to FRUSDR_V14_1_Build18_AllOS.zip

S2600STB_1.79:
 2103631992    - The BMC EWS WebUI copyright date still shows the 2019 year.
 
S2600STB_1.78:
 -sync BIOS sensor definition as BIOS EPS v1.13 "table41. BIOS sensors and SEL data" for HSD1507429379
 
S2600STB_1.77:
 -Add sensor "eSPI Reg Access" for feature "BMC eSPI register access restriction"
 
S2600STB_1.76:
 -Update frusdr.efi, frusdr_temp.efi ipmi.efi into FRUSDR_V14_1_Build17_AllOS
 
S2600STB_1.74:
 1506731774    - [STP]SDR record failure.

S2600STB_1.42:
 1506114815    - [STP]The sensor type of Remote Debug PECI is wrong.

S2600STB_1.38:
 1504784096    - [STP No CPU1/2 Fan SDR is loaded when we select other chassis and answer yes for Is Processor
                 Fan 1 installed and Is Processor Fan 2 installed.

S2600STB_1.37:
 1504747423    - [STP]CFG and SDR files couldn't be uploaded under EWS.

S2600STB_1.36:
 2006708385    - CIM sensor information can not be read - Certification CIM test fails.

S2600STB_1.30:
 1504702528    - "AutoCfg Status" sensor asserted when the server board is installed in a non-Intel chassis(Lenovo)

S2600STB_1.29:
 2103620632    - The sensor "UPI Fatal" and "BIOS Evt" are appear repeatedly in sensor list by IPMItool.

S2600STB_1.27:
 2006702387    - Wrong date in 1.26 FRU/SDR release note.

S2600STB_1.26:
 2006699094    - SEL log showing QPI instead of UPI for correctable error sensor.

S2600STB_1.25:
 2006673664    - BMC shows Pcie aggr Margin sensors as unknown,no reading available with re-timer AIC.

S2600STB_1.24:
 2103618303    - [STP] Installed single PSU info the SUT and flash LED will be green blinking after AC cycle.

S2600STB_1.02:
 2006651761    - BMC is not reporting NVMe information.

S2600STB_0.35:
 2006633753    - Not able to read Backplane FRU information from Compo HSBP from BMC.

S2600STB_0.34:
 1504473343    - [FTF]Fan Boost value do not reach expected value during running BAT_FSC_Functional.tcl.

S2600STB_0.33:
 1604351960    - [FTF]Fan go full boost after STATE15(Override all clamp sensors to (lower threshhold - 10)) when
                 run AbnormalSensors.

S2600STB_0.29:
 2103614552    - Correct S2600STB.sdr about ADC threshold/M/B value according to config_sheet_V0.66.

S2600STB_0.28:
 2003614433    - Some FRU files changed at FRU/SDR 0.26/0.27 but no description at Release Note of FRUSDR 0.26/0.27.
 1209428088    - Front panel LED still green blinking after remove 2 fans.

S2600STB_0.27:
 2103614165    - [STP] The copyright and date of "S2600STB_0.25_FRUSDR" package display "2016".

S2600STB_0.26:
 EPSD100256749 - [FTF]In FTF script test, occur many failures when run Purley/FSC/BAT_RecordCheck.tcl.

S2600STB_0.25:
 EPSD100035999 - FRUSDR can not show proper information for detecting Add In Card when updating FRUSDR.

S2600STB_0.24:
 EPSD100256251 - show "AIC Error" when run command frusdr.efi -cfg master.cfg even if the AIC Card
                 can be detected.

S2600STB_0.23:
 EPSD100034595 - Seneor Exit air temp & System Airflow are not avaible when HSBP is not present.

S2600STB_0.22:
 EPSD100035636 - Add in card is not listed in FRU in Information of EWS.
 EPSD100035516 - Setup UI no "Exit Air Temp" option display by attached HSBP.
 EPSD100035483 - Name of Phi card in FRU information page is incorrect.

S2600STB_0.21:
 EPSD100035483 - Name of Phi card in FRU information page is incorrect.

S2600STB_0.20:
 EPSD100035133 - [STP] Product Version in MB FRU will be cleared after updated product
                 info area of FRU except Product Version.
 EPSD100034914 - [STP] "FP NMI Diag Int" sensor will not auto rearm and keep in
                 "Diagnostic Interrupt" status after pressed the NMI button.

S2600STB_0.19:
 EPSD100035325 - [STP] The threshold value of 'MIC 1/2 Margin' sensor not match with
                 the definition in EPS v1.03.
 EPSD100035237 - FRUSDR utility showsPHI Card is detected in Riser but actually
                 it's not in Riser.

S2600STB_0.18:
 EPSD100255416 - [STP] S2600STB_0.16_FRUSDR was able to update Wolf Pass SDR.
 EPSD100034988 - [STP] The negative value of HSBP Temperature sensor can not show correctly.

S2600STB_0.17:
 EPSD100034993 - [STP] FRU Board P/N data is invalid when using updS2600ST.nsh to
                 update FRU after S2600QAT.fru or S2600KTN.fru is flashed.

S2600STB_0.16:
 EPSD100255056 - [STP]No Riser 3 detected message display during update frusdr when
                 install 3 GPGPU cards of board.
 EPSD100255054 - [STP]"MIC 2 Margin" sensor show unknow when we install GPGPU card on.

S2600STB_0.15:
NA

S2600STB_0.14:
 EPSD100254760 - BKC STP - Fan PWM Offset value on BIOS is not working.
 EPSD100034518 - [STP] Normal Sensor Status for Fan Present sensor can not
                 let user understand the Fan is inserted or not.
 EPSD100034638 - [STP] Pwr Unit Redund sensor still be installed after updated
                 FRUSDR with only one PSU installed in SUT.
 EPSD100034089 - [STP] PSU Fan Fail can not asserted successfully with 1600W PSU.

S2600STB_0.13:
 EPSD100034515 - [STP] FRUSDR v0.11 auto-update failed on fixed SKU.
 EPSD100034516 - [STP] BMC report Chassis auto-detect error after SUT power cycle
                 on fixed SKU.
 EPSD100034513 - [STP] Current chassis is not detected as "Other Chassis" when
                 Front panel is not connected.

S2600STB_0.12:
 EPSD100034403 - [STP] Fan not Boost when Fan sensor in Lower critical status.
 EPSD100034358 - [STP] Fans doesn't boost when fan redundancy is lost.
 EPSD100034359 - [STP] The line "Make sure to go into BIOS..." isn't present in the
                 master.cfg file.
 EPSD100034182 - [STP] Sesnor "BMC FW Health" reported Sensor Failure for sensor
                 "LAN Riser Temp" without LAN Riser installed.

S2600STB_0.11:
 EPSD100254514 - [STP]There is a Mismatch Between Severity and Description.
 EPSD100254570 - [STP] There are some fans present logged when remove PSU1 or PSU2.

S2600STB_0.10:
NA

S2600STB_0.09:
 EPSD100033918 - [STP] Plug the hot-swap fans sometimes(30%) have LNC and LC
                 asserted/deasserted events logged.
 EPSD100254291 - [STP] sensor name is show incorrect on EWS
 EPSD100034064 - [STP] Some sensor disappear after removed PSU 1.
 EPSD100034065 - [STP] PSU2 FRU can not showed in Embedded Web Server (EWS) after
                 removed PSU1.
 EPSD100034066 - [STP] FRUSDR can not installed sensors for power supply 2 when
                 only installed PSU2.
 EPSD100033878 - [STP] PSU FRU device for the PSU which is not installed into SUT
                 still showed at FRU Information page in Embedded Web Server (EWS).
 EPSD100253781 - [STP/WFP]OFU_V14_1_Build6:The string of "Entering BMC Update Mode..."
                 should be placed on a new line when update BMC&Fursdr.
 EPSD100034067 - [STP] Message "HDD Back Plane" for 4x3.5 HSBP1 can not keep align with
                 the message for other Back Plane when updated FRUSDR.
 EPSD100034087 - [STP] Normal Sensor Status for Fan Present sensor can not let user
                 understand the Fan is inserted or not.

S2600STB_0.08:
- Fix:
 EPSD100254158 - [STP]Detected HSBP info is mismatch with real HSBP info install on SUT
                 during flash frusdr.
 EPSD100033917 - [STP] SDR showed duplicated PSU sensor with mixed model PSU.
 EPSD100033878 - [STP] PSU FRU device for the PSU which is not installed into SUT still
                 showed at FRU Information page in Embedded Web Server (EWS).
 EPSD100033019 - [STP] No "Air Flow Limit" and "Exit Air Temp" option in "System Acoustic
                 and Performance Configuration" menu.

S2600STB_0.07:
- Fix:
 EPSD100033845 - [STP] The Sensor Reading of System Airflow sensor is not readable.
 EPSD100033850 - [STP] The Sensor Reading of Exit Air Temp sensor is not readable.
 EPSD100253767 - [STP]OFU_v14.1.6:No attached hardware displayed when auto config SDR.
 EPSD100253781 - [STP]OFU_V14_1_Build6:The string of "Entering BMC Update Mode..."
                 should be placed on a new line when update BMC&Fursdr.

S2600STB_0.06:
- Fix:
 EPSD100033412: [STP] SUT not shutdown by power policy when Front Panel temp above 60 degree.

S2600STB_0.05:
- Fix:
 EPSD100253765: [STP]OFU_v14.1.6:The function option which is "Both update the SDR and the FRU" disppear from function list.
 EPSD100033503: [STP] No option to flash SDR & FRU both when flash FRU/SDR.

S2600STB_0.04:
- Fix:
 EPSD100033415: [STP] "BSD-License-From-Intel" file in FRUSDR package v0.02 show Copyright (c) 2004, Intel Corporation.
 EPSD100033296: [STP] There is no "FP NMI Diag Int" sensor in SDR list.
 EPSD100033177: [STP] No NMI event log display in sel by press NMI button to trigger.
S2600STB_0.03:
- Fix: CPU "P1 and P2 Therm Ctrl %" sensor show temperature unit in Embedded Web server (EWS).

S2600STB_0.02:
- 'DIMM Thrm Mrgn' sensors are ready.
- Correct SDR of CPU status sensor.
- Fix "[STP] No Lower Non-Critical threshold for FAN in Sensor list.".

S2600STB_0.01:
- First release

=============================================================================
                           FEATURES ADDED
=============================================================================
S2600STB_1.75:
- Add sensor "KCS Policy" for featur "KCS policy control mode"

S2600STB_1.41:
- Correct ADC sensor 5 from 12VAUX to P5V_STBY.

S2600STB_1.40:
-  Correct fan PWM mapping of rear fan / CPU 1&2 fan.

S2600STB_1.39:
-  Fix error version of FURSDR package.

S2600STB_1.35:
- correct CPU name in master.cfg

S2600STB_1.34:
- Add sensor "Remote Debug".

S2600STB_1.33:
- Change date from 2017 to 2018.

S2600STB_1.32:
- Add "FW Security" sensor.

S2600STB_1.31:
- Add P1/P2 temperature sensor.

S2600STB_1.28:
- Add SDR utility info on Release note.

S2600STB_1.27:
- Update FRUSDR Utility to v14.1 Build 11.

S2600STB_1.25:
Remove other tabs clamp 0x14 for third party chassis.

S2600STB_1.23:
- Change oem value from 0 to 25 means 5 sample median fliter for voltage fault.

S2600STB_1.03:
- Seperate other Clamp to make it easy to customize.
- SDR: Modify aacording to config_sheet_V1.00.
  1.SSB temp Normal maximum value.
  2.Other clamp,remove sensor 5Ch/5Dh.

S2600STB_0.34:
- SDR: Modify sdr according to config_sheet_v0.91.
  1.Global clamp Record tabs: ramp coeficients.
  2.Other tabs: Fan fault/chassis boost value.

S2600STB_0.32:
- SDR: Modify sdr according to config_sheet_v0.71.
  1.Modify fans-off sdr for all domain.

S2600STB_0.31:
- SDR: Modify sdr according to config_sheet_v0.70.
  1.System Config tab:
    Remove Global Aggregate 2 (sensor C9)
  2.Domain Independent Records tab:
    Remove "Sensor-dependent Power Limitation" for sensor 15h (VR CPU Rear)
  3.UMP_R tab:
    Modify fan failed support profile.
  4.Modify UPM_R fans-off monitor sensor from c9 to c8.
- Correct sensor 1600W PSU threshold/M_value.
- Update FRUSDR Utility to v14.1 Build 10.

S2600STB_0.30:
- SDR: Modify sdr according to config_sheet_v0.67.
  1.Sys Config tab:
    Add colum for the OEM and Change to be the Global Aggregate Temperature
    Margin for the Redundant and Non Redundant chassis.
  2.Domain Independent Records tab:
    Add "Sensor-dependent Power Limitation" for sensor 15h (VR CPU Rear) &
    updates for the System airflow formula.
  3.Auto Profile tab:
    change the values for MIC card profiles.
  4.UPM_NR and UPM_R tabs:
    change the fans off from 1% to 5%.
  5.Global Stepwise Curve Records tab:
    change some curve from 15% to 20%


S2600STB_0.29:
- Correct config_sheet version in S2600STB.sdr.

S2600STB_0.28:
- SDR: Modify sdr according to config_sheet_v0.66.
  1.Modify stepwise value.
  2.Auto profile->MIC profile.
  3.Aggregate sensor number changed.


S2600STB_0.27:
- Correct clamp sub-record SDR accroding to config_sheet_V0.65.

S2600STB_0.26:
- Correct clamp sub-record SDR accroding to config_sheet_V0.64.
- Update FRU product name:
  Please make sure update the newest FRU file at QAT/VLN/KTN MBs to prevent detect incorrect FRU
  data which cause update failed.
  1.Rename fru file from S2600KTN to S2600STK.
  2.Rename fru file from S2600VLN to S2600STS.
  3.Rename fru file from S2600QAT to S2600STQ.

S2600STB_0.25:
- Update FRUSDR Utility to v14.1 Build 8.
- Fix "Advance fain failed" error when run FTF record check script.
- Correct clamp sub-record SDR accroding to config_sheet_V0.62.

S2600STB_0.24:
- Modified SDR according to config_sheet_V0.62
    1.Add sensor: "PCIE Aggregate Margin".
    2.Add clamp rules reference to "PCIE Aggregate Margin".

S2600STB_0.23:
- Modify error Manufacturer ID.

S2600STB_0.22:
- Update new FSC configuration according to FSC sheet v0.61.
- Modify below items by FSC sheet v0.61.
 1.Add global Clamp Record for P1/P2DTS records.
 2.Modify CPU DTS threadshold and assert/deassert byte.
 3.Add "Exit Air Temp" to all FSC domain.
 4.Modify global stepwise curve record value.
- Add AIC Card FRU detect and SDR.
- Remove PHI FRU SDR and update message.

S2600STB_0.21:
- Add ADC sensor for voltage fault.

S2600STB_0.20:
NA

S2600STB_0.19:
NA

S2600STB_0.18:
NA

S2600STB_0.17:
NA

S2600STB_0.16:
- Add NVMe sensor support.
- Add PHI3 card sensor support.

S2600STB_0.15:
- Add PHI1/PHI2 card sensor.PHI3 not support yet.

S2600STB_0.14:
Add fru files for Kontron and Security MB.

S2600STB_0.13:
NA

S2600STB_0.12:
NA

S2600STB_0.11:
- Enable system Fan detection.
- Enable LAN riser detection.

S2600STB_0.10:
FSC is enabled according to STP_FSC_Auto-SDR_Config_Sheet_Rev0.5.xlsm.

S2600STB_0.09:
- Disable "BB +3.3V Vbat" UNC & UC threshold.
- Fix error FRU address number of PSU2 on master.cfg.
- Modified SDR according to config_sheet_V0.5
    1.Global Exit Air Temp
    2.Fan Domain Map
    3.AutoProfile Records
    4.Baseboard sensor name

S2600STB_0.08:
NA

S2600STB_0.07:
NA

S2600STB_0.06:
- Add LAN Riser Temperature sensor.

S2600STB_0.05:
- Add HSBP detection to load SDR for HSBP senosrs.
- Enable 'System Airflow' and 'Exit Air Temp' sensors.

S2600STB_0.04:
- Add Event-Only SDR Records for NM sensors.

S2600STB_0.03:
- Update FRUSDR Utility to v14.1 Build 5.
- Add "Single/Dual Processor' detection.
- Add 'Rear CPU VR Temp' sensor.
- Add PSU and FAN OEM Redundant SDR.
- Remove 'P1 Therm Margin' and 'P2 Therm Margin' sensors, according to EPS v0.57.

S2600STB_0.02:
- Add 'Redundant/Non Redundant Fan SKU' auto-detection, keep others as manually
  selection. (Add HDD number menu selection.)

- Enable manually control FAN PWM by Set SM Signal command.

S2600STB_0.01:
- First release

=============================================================================
                             REFERENCE MATERIAL
=============================================================================
Common IBMC Firmware EAS
Common Platform IBMC FW EPS

[END OF RELEASE NOTES]
